pskc_get_device_issueno(3)

NAME
pskc_get_device_issueno - API function

SYNOPSIS
#include <pskc.h>

const char * pskc_get_device_issueno(pskc_key_t * key);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

DESCRIPTION
Get the PSKC KeyPackage DeviceInfo IssueNo value. This element contains the issue number in case there are devices with the same serial number so that they can be distinguished by different issue numbers.

RETURNS
a constant string (must not be deallocated) holding the content, or NULL if not set.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.